#
# Conditional build:
%bcond_without	apidocs		# API documentation

%define		abiver		2.10.0
Summary:	GdkPixbuf - an image loading and scaling library
Summary(pl.UTF-8):	GdkPixbuf - biblioteka ładująca i skalująca obrazki
Name:		gdk-pixbuf2
Version:	2.42.6
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://download.gnome.org/sources/gdk-pixbuf/2.42/gdk-pixbuf-%{version}.tar.xz
# Source0-md5:	7cd2fdaa3c55e2302316fe36968f7425
URL:		https://developer.gnome.org/gdk-pixbuf/
BuildRequires:	docbook-dtd43-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	gettext-tools >= 0.19
BuildRequires:	glib2-devel >= 1:2.56.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
%{?with_apidocs:BuildRequires:	gi-docgen >= 2021.1}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.0
BuildRequires:	libtiff-devel >= 4
BuildRequires:	libxslt-progs
BuildRequires:	meson >= 0.55.3
BuildRequires:	ninja >= 1.5
BuildRequires:	perl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.56.0
Requires:	shared-mime-info
Suggests:	librsvg >= 2.31
Conflicts:	gtk+2 < 2:2.21.3-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if "%{_lib}" != "lib"
%define		libext		%(lib="%{_lib}"; echo ${lib#lib})
%define		pqext		-%{libext}
%else
%define		pqext		%{nil}
%endif

%description
gdk-pixbuf is an image loading and scaling library that can be
extended by loadable modules for new image formats.

It is used by toolkits such as GTK+ or Clutter.

%description -l pl.UTF-8
gdk-pixbuf to biblioteka ładująca i skalująca obrazki, której
funkcjonalność może być rozszerzana o obsługę nowych formatów poprzez
ładowane moduły.

Używana jest przez biblioteki takie jak GTK+ czy Clutter.

%package devel
Summary:	Header files for gdk-pixbuf library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gdk-pixbuf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.56.0
Conflicts:	gtk+2-devel < 2:2.21.3-1

%description devel
Header files for gdk-pixbuf library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gdk-pixbuf.

%package static
Summary:	Static gdk-pixbuf library
Summary(pl.UTF-8):	Biblioteka statyczna gdk-pixbuf
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static gdk-pixbuf library.

%description static -l pl.UTF-8
Biblioteka statyczna gdk-pixbuf.

%package apidocs
Summary:	gdk-pixbuf API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gdk-pixbuf
Group:		Documentation
Conflicts:	gtk+2-apidocs < 2:2.21.3-1
BuildArch:	noarch

%description apidocs
API documentation for gdk-pixbuf library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki gdk-pixbuf.

%prep
%setup -q -n gdk-pixbuf-%{version}

%build
%meson build \
	%{?with_apidocs:-Dgtk_doc=true} \
	-Dinstalled_tests=false

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -j1 -C build

install -d $RPM_BUILD_ROOT%{_gtkdocdir}

%if "%{_lib}" != "lib"
# We need to have 32-bit and 64-bit binaries as they have hardcoded LIBDIR.
# (needed when multilib is used)
%{__mv} $RPM_BUILD_ROOT%{_bindir}/gdk-pixbuf-query-loaders{,%{pqext}}
%endif

%if %{with apidocs}
# FIXME: better common place to package gi-docgen genrated docs?
%{__mv} $RPM_BUILD_ROOT%{_datadir}/doc/gdk-* $RPM_BUILD_ROOT%{_gtkdocdir}
%endif

touch $RPM_BUILD_ROOT%{_libdir}/gdk-pixbuf-2.0/%{abiver}/loaders.cache

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{sr@ije,sr@ijekavian}
# not supported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/io

%find_lang gdk-pixbuf %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
umask 022
%{_bindir}/gdk-pixbuf-query-loaders%{pqext} --update-cache || :

%postun
/sbin/ldconfig
if [ "$1" != "0" ]; then
	umask 022
	# the $1 check does not match for multilib installs, check also that the binary still exists
	[ ! -x %{_bindir}/gdk-pixbuf-query-loaders%{pqext} ] || \
	%{_bindir}/gdk-pixbuf-query-loaders%{pqext} --update-cache || :
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/gdk-pixbuf-query-loaders%{pqext}
%attr(755,root,root) %{_bindir}/gdk-pixbuf-thumbnailer
%attr(755,root,root) %{_libdir}/libgdk_pixbuf-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdk_pixbuf-2.0.so.0
%dir %{_libdir}/gdk-pixbuf-2.0
%dir %{_libdir}/gdk-pixbuf-2.0/%{abiver}
%ghost %{_libdir}/gdk-pixbuf-2.0/%{abiver}/loaders.cache
%dir %{_libdir}/gdk-pixbuf-2.0/%{abiver}/loaders
%attr(755,root,root) %{_libdir}/gdk-pixbuf-2.0/%{abiver}/loaders/libpixbufloader-*.so
%{_datadir}/thumbnailers/gdk-pixbuf-thumbnailer.thumbnailer
%{_libdir}/girepository-1.0/GdkPixbuf-2.0.typelib
%{_libdir}/girepository-1.0/GdkPixdata-2.0.typelib
%{_mandir}/man1/gdk-pixbuf-query-loaders.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gdk-pixbuf-csource
%attr(755,root,root) %{_bindir}/gdk-pixbuf-pixdata
%attr(755,root,root) %{_libdir}/libgdk_pixbuf-2.0.so
%{_datadir}/gir-1.0/GdkPixbuf-2.0.gir
%{_datadir}/gir-1.0/GdkPixdata-2.0.gir
%{_mandir}/man1/gdk-pixbuf-csource.1*
%{_includedir}/gdk-pixbuf-2.0
%{_pkgconfigdir}/gdk-pixbuf-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdk_pixbuf-2.0.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gdk-pixbuf
%{_gtkdocdir}/gdk-pixdata
%endif
%changelog
* Fri Apr 09 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gdk-pixbuf2.git;a=log;h=master

* Fri Apr 09 2021 Jan Palus <atler@pld-linux.org> 0a13e9c
- up to 2.42.6

* Wed Mar 31 2021 Jakub Bogusz <qboosh@pld-linux.org> 221fce9
- adjusted gi-docgen docs packaging

* Thu Mar 25 2021 Jan Palus <atler@pld-linux.org> 37abca6
- up to 2.42.4

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> a6afd4f
- unconditional noarch subpackages

* Tue Dec 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 4351d2b
- updated to 2.42.2 (fixes CVE-2020-29385)

* Fri Nov 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 41d7b34
- fix build with apidocs

* Mon Nov 23 2020 Jan Palus <atler@pld-linux.org> cc657da
- fix build without apidocs

* Tue Nov 10 2020 Jakub Bogusz <qboosh@pld-linux.org> 405f491
- updated to 2.42.0; xlib part no longer included (now built from gdk-pixbuf2-xlib.spec)

* Fri May 01 2020 Jan Palus <atler@pld-linux.org> b0829ad
- BR: shared-mime-info

* Thu Oct 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 0246ce7
- updated to 2.40.0

* Mon Sep 09 2019 Jan Palus <atler@pld-linux.org> cc468e6
- up to 2.38.2

* Thu Feb 28 2019 Jan Palus <atler@pld-linux.org> 4efdd85
- up to 2.38.1

* Wed Sep 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 14d965b
- updated dependencies

* Sun Sep 23 2018 Jan Palus <atler@pld-linux.org> 6aab4d9
- up to 2.38.0

* Wed Apr 18 2018 Jan Palus <atler@pld-linux.org> 8e4350f
- up to 2.36.12

* Sat Oct 07 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 1ca3dcf
- Update to 2.36.11

* Mon Sep 11 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 2243564
- Update to 2.36.10

* Mon Jul 24 2017 Jakub Bogusz <qboosh@pld-linux.org> 25b477e
- updated to 2.36.7

* Tue Apr 11 2017 Jakub Bogusz <qboosh@pld-linux.org> 788d16f
- updated glib2 version

* Sun Mar 26 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 1756601
- Update to 2.36.6

